Search:

Type: Posts; User: tombu

Page 1 of 5 1 2 3 4

Search: Search took 0.00 seconds.

  1. You need to set the Text Override in Properties...

    You need to set the Text Override in Properties to "<>\P(INSIDE CURB TO INSIDE CURB)" and set Text pos vert to Centered.
  2. Replies
    27
    Views
    527

    Sorry, toggles that display highlighted when on...

    Sorry, toggles that display highlighted when on like
    ^P(ai_onoff "mbuttonpan") ^P with a display name of
    $(if,$(getvar,mbuttonpan),!.)MidButPan work fine in the Ribbon. Toggles that display...
  3. Replies
    27
    Views
    527

    With ELEVATION set to 12.34 and OSNAPZ set to 1...

    With ELEVATION set to 12.34 and OSNAPZ set to 1 the toggle in my flyout added to my "&Object Snap Cursor Menu" displays Elev = 12.34
    Toggle and it displays Elev = Snap

    The display name is for...
  4. Replies
    27
    Views
    527

    It will not work as the command name, only as the...

    It will not work as the command name, only as the display name after adding it to a menu or ribbon.
  5. Replies
    27
    Views
    527

    They're called out in the defun function. See:...

    They're called out in the defun function. See: http://help.autodesk.com/view/ACD/2016/ENU/?guid=GUID-5269529D-A013-4AB4-AAB7-DBA1C7CA73EB
  6. Replies
    27
    Views
    527

    Not sure what to tell you, tried with both your...

    Not sure what to tell you, tried with both your code and mine and both set osnapz to value prior to running the command. You should add "elevation" as a local variable as well.
  7. Replies
    27
    Views
    527

    This should do it. (defun c:plinezero ( /...

    This should do it.

    (defun c:plinezero ( / osnapz cmdecho)
    (setvar "elevation" 0.0)
    (setq osnapz (getvar "osnapz"))
    (setvar "osnapz" 1)
    (setq cmdecho (getvar "cmdecho"))
    (setvar...
  8. Thread: LISP for images

    by tombu
    Replies
    13
    Views
    566

    This should do it: (vl-load-com) (defun...

    This should do it:
    (vl-load-com)
    (defun c:Image2Lay (/ ss ent el Elay)
    (setq ss (ssget "+.:E:S" '((0 . "image"))))
    (if ss
    (progn
    (setq EOBJ (vlax-ename->vla-object (ssname SS 0)) ;...
  9. Replies
    27
    Views
    527

    Sets it to 0 and runs the PLINE command with "the...

    Sets it to 0 and runs the PLINE command with "the same prompts as the actual pline command." on my PC.
    Are you running the PLINEZERO command after loading the lisp? What displays on your text...
  10. Replies
    27
    Views
    527

    I have a flyout in my "&Object Snap Cursor Menu"...

    I have a flyout in my "&Object Snap Cursor Menu" that uses the macro
    ^P(ai_onoff "osnapz") ^P with
    $(eval,Elev = $(if,$(and,1,$(getvar,osnapz)),$(getvar,elevation),"Snap")) as the display name.
  11. Thread: Dimension

    by tombu
    Replies
    17
    Views
    499

    Sorry, never done Mechanical work. I imagine a...

    Sorry, never done Mechanical work. I imagine a Mechanical vertical would have that, there's an endless amount of stuff in Civil 3D you cannot do with vanilla AutoCAD.
  12. Thread: Dimension

    by tombu
    Replies
    17
    Views
    499

    Label the Linear dimension 15. Anyone who gets...

    Label the Linear dimension 15. Anyone who gets the "Half Section Cut" will understand the 15. As their is no circle shown or even endpoints to support a Linear dimension of 30 your "This is what I...
  13. Just trying to come up with a procedure to do...

    Just trying to come up with a procedure to do what you're asking for.
    By renaming and modifying the layer "FURNITURE" is on in each drawing you can have "FURNITURE" display however you want. The...
  14. Like BIGAL my guess would be that they were not...

    Like BIGAL my guess would be that they were not located in Trusted Folders. Were the lisp files in a different folder that the ones that loaded? You can add Trusted Folders on the Files tab in...
  15. You don't need multiple blocks to display them...

    You don't need multiple blocks to display them differently for different conditions. Just make sure color, linetype, and plot style is set to byblock and on layer 0 for everything in the blocks. ...
  16. You could rename the table block "Table" and the...

    You could rename the table block "Table" and the chair block "Chair" then combine both of them to a block called "FURNITURE".
    You could also insert the chair exploded into drawing "A" next to the...
  17. Replies
    8
    Views
    393

    Just check "Apply properties as viewport...

    Just check "Apply properties as viewport overrides" in Layer States Manager

    I added
    (vl-registry-write (strcat "HKEY_CURRENT_USER\\" (vlax-product-key)...
  18. Thread: LISP for images

    by tombu
    Replies
    13
    Views
    566

    Being as you need the georefimg app to place the...

    Being as you need the georefimg app to place the images based on world file code to place selected images on layers with the same name or with a default prefix to group them together would probably...
  19. Replies
    19
    Views
    603

    Handy as they are I'm still not ready to give up...

    Handy as they are I'm still not ready to give up screen space for them yet. I added the Switch Windows ribbon element to my QAT to make switching drawings easy without using any drawing space.
  20. Replies
    19
    Views
    603

    Portion of text saved in modemacro by my...

    Portion of text saved in modemacro by my acaddoc.lsp file
    "$(If,$(Eq,$(Getvar,dbmod),0),,* )" The asterisk indicates the drawing has not been saved. Then you'll know with just a glance at the...
Results 1 to 20 of 100
Page 1 of 5 1 2 3 4